module SQLLLM

  # export


  """ Order by dependencies of each file. The 1st included file must not depend on any other
  files and each file can only depend on the file included before it. 
  """

  include("type.jl")
  using .type

  include("util.jl")
  using .util

  include("llmfunction.jl")
  using .llmfunction

  include("interface.jl")
  using .interface
  
  
# ---------------------------------------------- 100 --------------------------------------------- #















































































end # module SQLLLM
